Dieses Plugin ist nicht mit den jüngsten 3 Hauptversionen von WordPress getestet worden. Es wird möglicherweise nicht mehr gewartet oder unterstützt und kann Kompatibilitätsprobleme haben, wenn es mit neueren Versionen von WordPress verwendet wird.

REST API support for Crayon Syntax Highlighter

Beschreibung

Is code syntax in posts created via REST API not highlighted?

Crayon Syntax Highlighter is one of the best code syntax highlighter plugins for WordPress and currently it does nto support REST API. This means that it does not highlight code in posts created via REST API, including posts created by Gutenberg.

This plugin adds support for it.

No more plain code!

Installation

  1. Upload rest-api-support-for-crayon-syntax-highlighter.zip via Dashboard -> Plugins -> Add New -> Upload Plugin.
  2. Activate it.

FAQ

Why doesn’t Crayon Syntax Highlighter support it natively?

I do not know. Don’t ask me. Ask them. Maybe they are busy.

Rezensionen

28. Oktober 2019
It's not clear what the plugin does when it relates to Gutenberg Support. I currently use Crayon with gutenberg when adding a Classic editor block, then selecting Crayon. However, it only works once, unless I reload the editor. Installing this plugin didn't change that.
4. Februar 2019
It is not working on my localhost as well as remote server. Please check why it's happening. Wordpress version 4.8.8 & 4.9.7
Alle 2 Rezensionen lesen

Mitwirkende & Entwickler

„REST API support for Crayon Syntax Highlighter“ ist Open-Source-Software. Folgende Menschen haben an diesem Plugin mitgewirkt:

Mitwirkende

Änderungsprotokoll

1.0.0 – 2018/11/12

  • Released initially.